<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sun Jan 06 21:30:38 GMT 2019 -->
<title>Index</title>
<meta name="date" content="2019-01-06">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="ie/gmit/sw/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="ie/gmit/sw/package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:W">W</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/ShingleProcessor.html#call--">call()</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/ShingleProcessor.html" title="class in ie.gmit.sw">ShingleProcessor</a></dt>
<dd>
<div class="block">Callable call() method.</div>
</dd>
<dt><a href="ie/gmit/sw/CosineDistance.html" title="class in ie.gmit.sw"><span class="typeNameLink">CosineDistance</span></a> - Class in <a href="ie/gmit/sw/package-summary.html">ie.gmit.sw</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/CosineDistance.html#CosineDistance--">CosineDistance()</a></span> - Constructor for class ie.gmit.sw.<a href="ie/gmit/sw/CosineDistance.html" title="class in ie.gmit.sw">CosineDistance</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ie/gmit/sw/CosineDistanceCalculator.html" title="class in ie.gmit.sw"><span class="typeNameLink">CosineDistanceCalculator</span></a> - Class in <a href="ie/gmit/sw/package-summary.html">ie.gmit.sw</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/CosineDistanceCalculator.html#CosineDistanceCalculator-java.util.Map-">CosineDistanceCalculator(Map&lt;String, List&lt;Index&gt;&gt;)</a></span> - Constructor for class ie.gmit.sw.<a href="ie/gmit/sw/CosineDistanceCalculator.html" title="class in ie.gmit.sw">CosineDistanceCalculator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/CosineDistanceCalculator.html#cosineSimilarity--">cosineSimilarity()</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/CosineDistanceCalculator.html" title="class in ie.gmit.sw">CosineDistanceCalculator</a></dt>
<dd>
<div class="block">Calculates cosine distance between query and subject files and outputs it to screen.</div>
</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/CosineDistanceCalculator.html#createSequenceMaps-java.lang.String-">createSequenceMaps(String)</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/CosineDistanceCalculator.html" title="class in ie.gmit.sw">CosineDistanceCalculator</a></dt>
<dd>
<div class="block">Creates shingle maps for each file.</div>
</dd>
</dl>
<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Menu.html#execute--">execute()</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/Menu.html" title="class in ie.gmit.sw">Menu</a></dt>
<dd>
<div class="block">Method after calling executing main menu in do while loop.</div>
</dd>
</dl>
<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><a href="ie/gmit/sw/FileParser.html" title="class in ie.gmit.sw"><span class="typeNameLink">FileParser</span></a> - Class in <a href="ie/gmit/sw/package-summary.html">ie.gmit.sw</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/FileParser.html#FileParser-java.util.concurrent.BlockingQueue-java.io.File-">FileParser(BlockingQueue&lt;Word&gt;, File)</a></span> - Constructor for class ie.gmit.sw.<a href="ie/gmit/sw/FileParser.html" title="class in ie.gmit.sw">FileParser</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Index.html#getFileName--">getFileName()</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/Index.html" title="class in ie.gmit.sw">Index</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Word.html#getFileName--">getFileName()</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/Word.html" title="class in ie.gmit.sw">Word</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Index.html#getFrequency--">getFrequency()</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/Index.html" title="class in ie.gmit.sw">Index</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/CosineDistance.html#getQueryFile--">getQueryFile()</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/CosineDistance.html" title="class in ie.gmit.sw">CosineDistance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Word.html#getShingle--">getShingle()</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/Word.html" title="class in ie.gmit.sw">Word</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/CosineDistance.html#getSubjectFileDir--">getSubjectFileDir()</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/CosineDistance.html" title="class in ie.gmit.sw">CosineDistance</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><a href="ie/gmit/sw/package-summary.html">ie.gmit.sw</a> - package ie.gmit.sw</dt>
<dd>&nbsp;</dd>
<dt><a href="ie/gmit/sw/Index.html" title="class in ie.gmit.sw"><span class="typeNameLink">Index</span></a> - Class in <a href="ie/gmit/sw/package-summary.html">ie.gmit.sw</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Index.html#Index-int-java.lang.String-">Index(int, String)</a></span> - Constructor for class ie.gmit.sw.<a href="ie/gmit/sw/Index.html" title="class in ie.gmit.sw">Index</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Runner.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class ie.gmit.sw.<a href="ie/gmit/sw/Runner.html" title="class in ie.gmit.sw">Runner</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ie/gmit/sw/Menu.html" title="class in ie.gmit.sw"><span class="typeNameLink">Menu</span></a> - Class in <a href="ie/gmit/sw/package-summary.html">ie.gmit.sw</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Menu.html#Menu--">Menu()</a></span> - Constructor for class ie.gmit.sw.<a href="ie/gmit/sw/Menu.html" title="class in ie.gmit.sw">Menu</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><a href="ie/gmit/sw/Poison.html" title="class in ie.gmit.sw"><span class="typeNameLink">Poison</span></a> - Class in <a href="ie/gmit/sw/package-summary.html">ie.gmit.sw</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Poison.html#Poison-java.lang.String-java.lang.String-">Poison(String, String)</a></span> - Constructor for class ie.gmit.sw.<a href="ie/gmit/sw/Poison.html" title="class in ie.gmit.sw">Poison</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/CosineDistance.html#processFiles--">processFiles()</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/CosineDistance.html" title="class in ie.gmit.sw">CosineDistance</a></dt>
<dd>
<div class="block">Method for processing files.</div>
</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Processor.html#processFiles-java.io.File-java.io.File:A-int-">processFiles(File, File[], int)</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/Processor.html" title="class in ie.gmit.sw">Processor</a></dt>
<dd>
<div class="block">Creates and starts threads for query and subject files.</div>
</dd>
<dt><a href="ie/gmit/sw/Processor.html" title="class in ie.gmit.sw"><span class="typeNameLink">Processor</span></a> - Class in <a href="ie/gmit/sw/package-summary.html">ie.gmit.sw</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Processor.html#Processor-java.util.concurrent.BlockingQueue-">Processor(BlockingQueue&lt;Word&gt;)</a></span> - Constructor for class ie.gmit.sw.<a href="ie/gmit/sw/Processor.html" title="class in ie.gmit.sw">Processor</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/FileParser.html#run--">run()</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/FileParser.html" title="class in ie.gmit.sw">FileParser</a></dt>
<dd>
<div class="block">Runnable run method.</div>
</dd>
<dt><a href="ie/gmit/sw/Runner.html" title="class in ie.gmit.sw"><span class="typeNameLink">Runner</span></a> - Class in <a href="ie/gmit/sw/package-summary.html">ie.gmit.sw</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Runner.html#Runner--">Runner()</a></span> - Constructor for class ie.gmit.sw.<a href="ie/gmit/sw/Runner.html" title="class in ie.gmit.sw">Runner</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Index.html#setFileName-java.lang.String-">setFileName(String)</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/Index.html" title="class in ie.gmit.sw">Index</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Word.html#setFileName-java.lang.String-">setFileName(String)</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/Word.html" title="class in ie.gmit.sw">Word</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Index.html#setFrequency-int-">setFrequency(int)</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/Index.html" title="class in ie.gmit.sw">Index</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/CosineDistance.html#setQueryFile-java.lang.String-">setQueryFile(String)</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/CosineDistance.html" title="class in ie.gmit.sw">CosineDistance</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Word.html#setShingle-java.lang.String-">setShingle(String)</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/Word.html" title="class in ie.gmit.sw">Word</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/CosineDistance.html#setSubjectFileDir-java.lang.String-">setSubjectFileDir(String)</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/CosineDistance.html" title="class in ie.gmit.sw">CosineDistance</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ie/gmit/sw/ShingleProcessor.html" title="class in ie.gmit.sw"><span class="typeNameLink">ShingleProcessor</span></a> - Class in <a href="ie/gmit/sw/package-summary.html">ie.gmit.sw</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/ShingleProcessor.html#ShingleProcessor-java.util.concurrent.BlockingQueue-java.util.Map-">ShingleProcessor(BlockingQueue&lt;Word&gt;, Map&lt;String, List&lt;Index&gt;&gt;)</a></span> - Constructor for class ie.gmit.sw.<a href="ie/gmit/sw/ShingleProcessor.html" title="class in ie.gmit.sw">ShingleProcessor</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Index.html#toString--">toString()</a></span> - Method in class ie.gmit.sw.<a href="ie/gmit/sw/Index.html" title="class in ie.gmit.sw">Index</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:W">
<!--   -->
</a>
<h2 class="title">W</h2>
<dl>
<dt><a href="ie/gmit/sw/Word.html" title="class in ie.gmit.sw"><span class="typeNameLink">Word</span></a> - Class in <a href="ie/gmit/sw/package-summary.html">ie.gmit.sw</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ie/gmit/sw/Word.html#Word-java.lang.String-java.lang.String-">Word(String, String)</a></span> - Constructor for class ie.gmit.sw.<a href="ie/gmit/sw/Word.html" title="class in ie.gmit.sw">Word</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:W">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="ie/gmit/sw/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="ie/gmit/sw/package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
